## rocminfo 5.0.0

=== CMakeLists.txt ===
#
# GCC 4.8 or higher compiler required.
#
#   Required Defines on cmake command line
#
#   1) Set location of ROCR header files (required)
#
#      ROCM_DIR="Root for RocM install"
#
#   2) Set ROCRTST_BLD_TYPE to either "Debug" or "Release".
#      If not set, the default value is "Debug" is bound.
#
#      ROCRTST_BLD_TYPE=Debug or ROCRTST_BLD_TYPE=Release
#
#   3) Set ROCRTST_BLD_BITS to either "32" or "64"
#      If not set, the default value of "64" is bound.
#
#       ROCRTST_BLD_BITS=32 or ROCRTST_BLD_BITS=64
#
#   Building rocminfo
#
#   1) Create build folder e.g. "rocminfo/build" - any name will do
#   2) Cd into build folder
#   3) Run cmake, passing in the above defines, as needed/required:
#       "cmake -DROCM_DIR=<path to rocm root> <other defines if needed> .."
#   4) Run "make"
#
#   Upon a successful build, the executable "rocminfo" will be in the
#   build directory.
#
# Currently support for Windows platform is not present
#

#
# Minimum version of cmake required
#
cmake_minimum_required(VERSION 3.6.3)

set(ROCMINFO_EXE "rocminfo")
set(PROJECT_NAME ${ROCMINFO_EXE})
project (${PROJECT_NAME})

include ( GNUInstallDirs )
if(WIN32)
  message("This sample is not supported on Windows platform")
  return()
endif()

## Set default module path if not already set
if(NOT DEFINED CMAKE_MODULE_PATH)
    set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
endif()
## Include common cmake modules
include(utils)

#
# Process input variables
#

find_package(hsa-runtime64 1.0 REQUIRED )

string(TOLOWER "${ROCRTST_BLD_TYPE}" tmp)
if("${tmp}" STREQUAL release)
  set(BUILD_TYPE "Release")
  set(ISDEBUG 0)
else()
  set(BUILD_TYPE "Debug")
  set(ISDEBUG 1)
endif()

# The following default version values should be updated as appropriate for
# ABI breaks (update MAJOR and MINOR), and ABI/API additions (update MINOR).
# Until ABI stabilizes VERSION_MAJOR will be 0. This should be over-ridden
# by git tags (through "git describe") when they are present.
set(PKG_VERSION_MAJOR 1)
set(PKG_VERSION_MINOR 0)
set(PKG_VERSION_PATCH 0)
set(PKG_VERSION_NUM_COMMIT 0)

################# Determine the library version #########################
## Setup the package version based on git tags.
set(PKG_VERSION_GIT_TAG_PREFIX "rocminfo_pkg_ver")

find_program (GIT NAMES git)

get_package_version_number("1.0.0" ${PKG_VERSION_GIT_TAG_PREFIX} GIT)
# VERSION_* variables should be set by get_version_from_tag
message("Package version: ${PKG_VERSION_STR}")

#
# Print out the build configuration being used:
#
#   Build Src directory
#   Build Binary directory
#   Build Type: Debug Vs Release, 32 Vs 64
#   Compiler Version, etc
#
message("")
message("Build Configuration:")
message("-----------BuildType: " ${BUILD_TYPE})
message("------------Compiler: " ${CMAKE_CXX_COMPILER})
message("-------------Version: " ${CMAKE_CXX_COMPILER_VERSION})
message("--------Proj Src Dir: " ${PROJECT_SOURCE_DIR})
message("--------Proj Bld Dir: " ${PROJECT_BINARY_DIR})
message("--------Proj Lib Dir: " ${PROJECT_BINARY_DIR}/lib)
message("--------Proj Exe Dir: " ${PROJECT_BINARY_DIR}/bin)
message("")


#
# Set the build type based on user input
#
set(CMAKE_BUILD_TYPE ${BUILD_TYPE})
#
# Flag to enable / disable verbose output.
#
SET( CMAKE_VERBOSE_MAKEFILE on )
#
# Compiler pre-processor definitions.
#
# Define MACRO "DEBUG" if build type is "Debug"
if(${BUILD_TYPE} STREQUAL "Debug")
add_definitions(-DDEBUG)
endif()

add_definitions(-D__linux__)
add_definitions(-DLITTLEENDIAN_CPU=1)

#
# Linux Compiler options
#
set(ROCMINFO_CXX_FLAGS -std=c++11)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fexceptions)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fno-rtti)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fno-math-errno)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fno-threadsafe-statics)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fmerge-all-constants)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fms-extensions)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Werror)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Wall)
set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -m64)

#
# Extend the compiler flags for 64-bit builds
#
if((${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "x86_64") OR (${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "AMD64"))
  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -msse -msse2)
endif()

#
# Add compiler flags to include symbol information for debug builds
#
if(ISDEBUG)
  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -ggdb -O0)
endif()

###########################
# rocm_agent_enumerator
###########################

configure_file(rocm_agent_enumerator rocm_agent_enumerator COPYONLY)


###########################
# RocR Info
###########################
aux_source_directory(${CMAKE_CURRENT_SOURCE_DIR} ROCMINFO_SOURCES)
add_executable(${ROCMINFO_EXE} ${ROCMINFO_SOURCES})
target_link_libraries(${ROCMINFO_EXE} hsa-runtime64::hsa-runtime64)

target_compile_options(${ROCMINFO_EXE} PRIVATE ${ROCMINFO_CXX_FLAGS})

###########################
# Install directives
###########################
install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/${ROCMINFO_EXE}
   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
   DESTINATION ${CMAKE_INSTALL_BINDIR} )
install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/rocm_agent_enumerator
   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
   DESTINATION ${CMAKE_INSTALL_BINDIR} )

###########################
# Packaging directives
###########################
set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
set(CPACK_PACKAGE_VERSION_MAJOR "${PKG_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PKG_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PKG_VERSION_PATCH}")
set(CPACK_PACKAGE_CONTACT "AMD Rocminfo Support <rocminfo.support@amd.com>")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/License.txt")
set( CPACK_RPM_PACKAGE_LICENSE "NCSA" )
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Radeon Open Compute (ROCm) Runtime rocminfo tool")

#Install license file
install(FILES ${CPACK_RESOURCE_FILE_LICENSE} DESTINATION share/doc/${CPACK_PACKAGE_NAME})

#Make proper version for appending
#Default Value is 99999, setting it first
set(ROCM_VERSION_FOR_PACKAGE "99999")
if(DEFINED ENV{ROCM_LIBPATCH_VERSION})
  set(ROCM_VERSION_FOR_PACKAGE $ENV{ROCM_LIBPATCH_VERSION})
endif()

#Debian package specific variables
set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CPACK_DEBIAN_PACKAGE_HOMEPAGE} CACHE STRING "https://github.com/RadeonOpenCompute/ROCm")
if (DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
   set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
else()
   set(CPACK_DEBIAN_PACKAGE_RELEASE "local")
endif()
if ( ROCM_DEP_ROCMCORE )
  string ( APPEND CPACK_DEBIAN_PACKAGE_DEPENDS ", rocm-core" )
endif()

#RPM package specific variables
set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod")
if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
  set ( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "${CPACK_PACKAGING_INSTALL_PREFIX} ${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" )
endif()
if(DEFINED ENV{CPACK_RPM_PACKAGE_RELEASE})
  set(CPACK_RPM_PACKAGE_RELEASE $ENV{CPACK_RPM_PACKAGE_RELEASE})
else()
  set(CPACK_RPM_PACKAGE_RELEASE "local")
endif()
if ( ROCM_DEP_ROCMCORE )
  string ( APPEND CPACK_RPM_PACKAGE_REQUIRES " rocm-core" )
endif()

#Set rpm distro
if(CPACK_RPM_PACKAGE_RELEASE)
  set(CPACK_RPM_PACKAGE_RELEASE_DIST ON)
endif()

#Prepare final version for the CPACK use
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.${ROCM_VERSION_FOR_PACKAGE}")

#Set the names now using CPACK utility
set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")

include ( CPack )

=== debian/changelog ===
rocminfo (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0
  * Hardened in d/rules
  * Update maintainer address to debian-ai@l.d.o.
  * propagated roc runtime soname rollback to d/control BD
  * extend auto clean to patches in case of crash
  * Remove uupdate from d/watch
  * Removed auto-clean improved: using > gbp buildpackage
    --git-export-dir instead, which first clones the source nearby.

  [ Mo Zhou ]
  * Add version requirement on ROCm B-Ds.
  * Get rid of the duplicated license install.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 15 Feb 2022 10:41:42 -0500

rocminfo (3.3.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #960982)

  [ Mo Zhou ]
  * Initial packaging.

  [ Norbert Preining ]
  * Update to 3.3.0.

 -- Norbert Preining <norbert@preining.info>  Wed, 20 May 2020 09:19:54 +0900

=== debian/control ===
Source: rocminfo
Section: devel
Homepage: https://github.com/RadeonOpenCompute/rocminfo
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Maintainer: ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
Build-Depends:  debhelper-compat (= 13),
                cmake,
                libhsakmt-dev (>= 5.0.0~),
                libhsa-runtime-dev (>= 5.0.0~),

Package: rocminfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of AMD ROCm software stack.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

# execute_before_dh_clean:
# 	rm -rf .pc
# 	git checkout CMakeLists.txt

override_dh_auto_configure:
	dh_auto_configure -- \
		-DROCM_DIR=/usr \
		-DCMAKE_INSTALL_PREFIX=/usr

execute_after_dh_auto_install:
	find debian -type f -name License.txt -print -delete

override_dh_missing:
	dh_missing --fail-missing

## rocminfo 5.1.0

=== debian/changelog ===
rocminfo (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Add the missing runtime Dep pciutils.
  * Bump ROCm B-D to (>= 5.1.0~).

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 10:27:05 -0400

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
            Maxime Chambonnet <maxzor@maxzor.eu>,
 Build-Depends:  debhelper-compat (= 13),
                 cmake,
-                libhsakmt-dev (>= 5.0.0~),
-                libhsa-runtime-dev (>= 5.0.0~),
+                libhsakmt-dev (>= 5.1.0~),
+                libhsa-runtime-dev (>= 5.1.0~),
 
 Package: rocminfo
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, python3
+Depends: ${misc:Depends}, ${shlibs:Depends}, python3, pciutils
 Description: ROCm Application for Reporting System Info
  rocminfo gives information about the HSA system attributes and agents.
  This package is part of AMD ROCm software stack.

## rocminfo 5.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 endif()
 
 #Debian package specific variables
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod, pciutils")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CPACK_DEBIAN_PACKAGE_HOMEPAGE} CACHE STRING "https://github.com/RadeonOpenCompute/ROCm")
 if (DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
    set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
@@ -218,7 +218,7 @@
 endif()
 
 #RPM package specific variables
-set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod")
+set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod pciutils")
 if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
   set ( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "${CPACK_PACKAGING_INSTALL_PREFIX} ${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" )
 endif()

=== debian/changelog ===
rocminfo (5.2.3-2) unstable; urgency=medium

  * cross.patch: fix failure to cross-build from source.
    Thanks to Helmut Grohne for the heavy lifting (Closes: #1024611)
  * d/salsa-ci.yml: disable i386 while dependencies are missing.
  * d/control: rocminfo depends on kmod.
    Thanks to Cordell Bloor (Closes: #1026931)
  * d/copyright: update copyright year.

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 Jan 2023 22:35:17 +0100

rocminfo (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Oct 2022 19:52:21 +0200

rocminfo (5.2.3-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/control: add myself to uploaders.
  * d/control: bump build-dependency to ROCm 5.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 07 Sep 2022 21:32:54 +0200

=== debian/control ===
Source: rocminfo
Maintainer: ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhsakmt-dev (>= 5.2.0~),
               libhsa-runtime-dev (>= 5.2.0~)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Homepage: https://github.com/RadeonOpenCompute/rocminfo
Rules-Requires-Root: no

Package: rocminfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         pciutils,
         kmod
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of AMD ROCm software stack.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocminfo-$1.tar.gz%" \
https://github.com/RadeonOpenCompute/rocminfo/tags \
(?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz debian

## rocminfo 5.7.1

=== debian/changelog ===
rocminfo (5.7.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:41 +1100

rocminfo (5.7.1-3) unstable; urgency=medium

  * Fix autopkgtests on systems without AMD GPUs

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 19 Mar 2024 17:55:24 -0600

rocminfo (5.7.1-2) unstable; urgency=medium

  * Add d/p/fix-escape-sequence.patch to fix invalid escape sequence warning
    when running rocm_agent_enumerator. (Closes: #1065405)
  * Add trivial autopkgtests.
  * Add d/gbp.conf to ensure consistent settings.
  * Tidy up d/p/cmakefile-fixes.patch.
  * Use d/not-installed to control exclude files.

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 18 Mar 2024 18:32:35 -0600

rocminfo (5.7.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * d/control: update maintainer name for consistency
  * d/control: add self to uploaders

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 23 Feb 2024 15:14:34 -0700

rocminfo (5.7.1-1~exp1) experimental; urgency=medium

  * Team upload.

  * New upstream version 5.7.1
  * Refresh patches and drop those applied upstream
  * Update upstream URL
  * d/control: fix grammar in package description

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 09 Jan 2024 17:56:14 -0700

rocminfo (5.2.3-3) unstable; urgency=medium

  * Team upload.

  * add d/p/fix-crash-on-kfd-permission-error.patch (Closes: #1031423)
  * d/control: update standards version to 4.6.2
  * d/copyright: update for debian files

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 02 Mar 2023 21:36:26 -0700

=== debian/control ===
Source: rocminfo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhsakmt-dev (>= 5.7.0~),
               libhsa-runtime-dev (>= 5.7.1~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Homepage: https://github.com/ROCm/rocminfo
Rules-Requires-Root: no

Package: rocminfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         pciutils,
         kmod
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of the AMD ROCm software stack.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocminfo-$1.tar.gz%" \
https://github.com/ROCm/rocminfo/tags \
(?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz debian

## rocminfo 6.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -123,7 +123,6 @@
 add_definitions(-DDEBUG)
 endif()
 
-add_definitions(-D__linux__)
 add_definitions(-DLITTLEENDIAN_CPU=1)
 
 #
@@ -174,12 +173,10 @@
 # Install directives
 ###########################
 install (
-   FILES ${CMAKE_CURRENT_BINARY_DIR}/${ROCMINFO_EXE}
-   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+   TARGETS ${ROCMINFO_EXE}
    DESTINATION ${CMAKE_INSTALL_BINDIR} )
 install (
-   FILES ${CMAKE_CURRENT_BINARY_DIR}/rocm_agent_enumerator
-   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+   PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/rocm_agent_enumerator
    DESTINATION ${CMAKE_INSTALL_BINDIR} )
 
 ###########################
@@ -196,7 +193,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Radeon Open Compute (ROCm) Runtime rocminfo tool")
 
 #Install license file
-install(FILES ${CPACK_RESOURCE_FILE_LICENSE} DESTINATION share/doc/${CPACK_PACKAGE_NAME})
+install(FILES ${CPACK_RESOURCE_FILE_LICENSE} DESTINATION ${CMAKE_INSTALL_DOCDIR})
 
 #Make proper version for appending
 #Default Value is 99999, setting it first

=== debian/changelog ===
rocminfo (6.1.2-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Christian Kastner <ckk@debian.org>  Mon, 21 Oct 2024 23:25:13 +0200

rocminfo (6.1.2-1~exp1) experimental; urgency=medium

  [ Xuanteng Huang ]
  * New upstream version 6.1.2
  * Refresh patches to the new upstream version
  * Add myself to Uploaders

  [ Christian Kastner ]
  * Add myself to Uploaders

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Thu, 19 Sep 2024 23:31:08 +0800

=== debian/control ===
Source: rocminfo
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>,
           Xuanteng Huang <xuanteng.huang@outlook.com>,
           Christian Kastner <ckk@debian.org>,
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhsakmt-dev (>= 6.1.2~),
               libhsa-runtime-dev (>= 6.1.2~)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Homepage: https://github.com/ROCm/rocminfo
Rules-Requires-Root: no

Package: rocminfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         pciutils,
         kmod
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of the AMD ROCm software stack.

## rocminfo 6.4.1

=== debian/changelog ===
rocminfo (6.4.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.1
  * Refresh patches for new upstream version

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 22 Jun 2025 23:52:58 -0600

rocminfo (6.1.2-2) unstable; urgency=medium

  * Limit architectures to amd64 arm64 ppc64el
  * Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Feb 2025 23:12:18 -0600

## rocminfo 6.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,9 @@
   return()
 endif()
 
+# Generate static package, when BUILD_SHARED_LIBS is set to OFF.
+# Default to ON
+option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
 ## Set default module path if not already set
 if(NOT DEFINED CMAKE_MODULE_PATH)
     set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
@@ -137,13 +140,12 @@
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fms-extensions)
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Werror)
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Wall)
-set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -m64)
 
 #
 # Extend the compiler flags for 64-bit builds
 #
 if((${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "x86_64") OR (${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "AMD64"))
-  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -msse -msse2)
+  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -m64 -msse -msse2)
 endif()
 
 #
@@ -182,7 +184,12 @@
 ###########################
 # Packaging directives
 ###########################
-set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
+if(BUILD_SHARED_LIBS)
+  set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
+else()
+  set(CPACK_RPM_PACKAGE_NAME "${PROJECT_NAME}-static-devel")
+  set(CPACK_DEBIAN_PACKAGE_NAME "${PROJECT_NAME}-static-dev")
+endif()
 set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
 set(CPACK_PACKAGE_VERSION_MAJOR "${PKG_VERSION_MAJOR}")
 set(CPACK_PACKAGE_VERSION_MINOR "${PKG_VERSION_MINOR}")
@@ -203,7 +210,7 @@
 endif()
 
 #Debian package specific variables
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod, pciutils")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, pciutils, python3, libc6, libgcc-s1 | libgcc1, libstdc++6")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CPACK_DEBIAN_PACKAGE_HOMEPAGE} CACHE STRING "https://github.com/RadeonOpenCompute/ROCm")
 if (DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
    set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
@@ -215,7 +222,20 @@
 endif()
 
 #RPM package specific variables
-set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod pciutils")
+execute_process(COMMAND rpm --eval %{?dist}
+                 RESULT_VARIABLE PROC_RESULT
+                 OUTPUT_VARIABLE EVAL_RESULT
+                 OUTPUT_STRIP_TRAILING_WHITESPACE)
+message("RESULT_VARIABLE ${PROC_RESULT} OUTPUT_VARIABLE: ${EVAL_RESULT}")
+
+if(PROC_RESULT EQUAL "0" AND "${EVAL_RESULT}" STREQUAL ".el7")
+  # In Centos using parentheses is causing cpack errors.
+  # Set the dependencies specifically for centos
+  set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr, pciutils, python3, glibc, libgcc, libstdc++")
+else()
+  set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr, pciutils, python3, glibc, (libgcc or libgcc_s1), (libstdc++ or libstdc++6)")
+endif() # End EVAL_RESULT
+
 if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
   set ( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "${CPACK_PACKAGING_INSTALL_PREFIX} ${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" )
 endif()
@@ -227,6 +247,9 @@
 if ( ROCM_DEP_ROCMCORE )
   string ( APPEND CPACK_RPM_PACKAGE_REQUIRES " rocm-core" )
 endif()
+# Cpack converts !/usr/bin/env python3 to /usr/libexec/platform-python in RHEL8.
+# prevent the BRP(buildroot policy) script from checking and modifying interpreter directives
+set(CPACK_RPM_SPEC_MORE_DEFINE "%undefine __brp_mangle_shebangs")
 
 #Set rpm distro
 if(CPACK_RPM_PACKAGE_RELEASE)
@@ -240,4 +263,8 @@
 set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
 set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
 
+if(NOT BUILD_SHARED_LIBS)
+  string(REPLACE "hsa-rocr" "hsa-rocr-static-dev" CPACK_DEBIAN_PACKAGE_DEPENDS ${CPACK_DEBIAN_PACKAGE_DEPENDS})
+  string(REPLACE "hsa-rocr" "hsa-rocr-static-devel" CPACK_RPM_PACKAGE_REQUIRES ${CPACK_RPM_PACKAGE_REQUIRES})
+endif()
 include ( CPack )

=== debian/changelog ===
rocminfo (6.4.3-1) unstable; urgency=medium

  * New upstream version 6.4.3

 -- Mario Limonciello <superm1@debian.org>  Fri, 15 Aug 2025 21:32:29 -0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Cordell Bloor <cgmb@slerp.xyz>,
            Xuanteng Huang <xuanteng.huang@outlook.com>,
            Christian Kastner <ckk@debian.org>,
+           Mario Limonciello <superm1@gmail.com>,
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -20,7 +21,7 @@
 Rules-Requires-Root: no
 
 Package: rocminfo
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DROCM_DIR=/usr \
		-DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
Tests: rocminfo, enumerator
Depends: @, sed
Restrictions: superficial, skippable

## rocminfo 7.1.0

=== debian/changelog ===
rocminfo (7.1.0-0ubuntu1) resolute; urgency=medium

  [ Igor Luppi ]
  * New upstream version 7.1.0
  * d/control: update maintainer field
  * d/control: update standards version
  * d/rules: update CMAKE_FLAGS

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 03 Dec 2025 09:36:48 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rocminfo
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
@@ -14,7 +15,7 @@
                cmake,
                libhsakmt-dev (>= 6.1.2~),
                libhsa-runtime-dev (>= 6.1.2~)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
 Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
 Homepage: https://github.com/ROCm/rocminfo

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DROCM_DIR=/usr \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
Version: 5

Source: https://github.com/ROCm/rocminfo/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocminfo-$1.tar.gz%
